# PSocks5Socket Class Reference

This class allows access to RFC1928 compliant SOCKS server. More...

`#include <socks.h>`

Inheritance diagram for PSocks5Socket:

List of all members.

## Public Member Functions

| PSocks5Socket (WORD port=0)
| PSocks5Socket (const PString &host, WORD port=0)
virtual PObject * | Clone () const
| Create a copy of the class on the heap.

## Detailed Description

This class allows access to RFC1928 compliant SOCKS server.

## Constructor & Destructor Documentation

PSocks5Socket::PSocks5Socket | ( | WORD | port = `0` | ) |

PSocks5Socket::PSocks5Socket | ( | const PString & | host,
|  | WORD | port = `0` |
| ) |  |  |

## Member Function Documentation

virtual PObject* PSocks5Socket::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the PDictionary class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PTCPSocket.

The documentation for this class was generated from the following file:

- socks.h